Subject: Re: bug#16966: [PATCH] grep: optimization with the superset of DFA

From: Paolo Bonzini <[email-masked]>
Date: Tue, 01 Apr 2014 17:32:16 +0200

Il 01/04/2014 17:18, Norihiro Tanaka ha scritto:
>> > For ANYCHAR, you can convert it to CSET{1,mb_cur_max} or, even better, (single-CSET | lead-CSET full-CSET{0,mb_cur_max-1}).
> I seem that it's complicated.  The superset requires a memory area that
> is different from the original DFA and additional costs to build it.  And
> exact matching isn't required for it.  So, I want to make it simple and
> smaller DFA.

I'm worried that the "STAR" method will match basically everything. 
We're using something like CSET{1,mb_cur_max} already for UTF-8, so the 
size increase for that should not be too bad.

Paolo